Board (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.physpkg.Board interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys.physpkg
Interface Board

All Superinterfaces:
  Card, ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, PhysicalFrame, PhysicalPackage, java.io.Serializable

    public interface Board

extends Card

Persistable:
  true
Display Name:
  name,manufacturer,model,serialNumber

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAttachementPointType()`
`int` | `getBoardType()` The represenataion of the BoardType.
`CPU[]` | `getCpu()`
`DiskDrive[]` | `getDiskdrives()`
`Memory[]` | `getMemory()`
`boolean` | `hasAttachementPointType()`
`boolean` | `hasBoardType()`
`boolean` | `hasCpu()`
`boolean` | `hasDiskdrives()`
`boolean` | `hasMemory()`
`void` | `setAttachementPointType(java.lang.String x)`
`void` | `setBoardType(int x)`
`void` | `setCpu(CPU[] x)`
`void` | `setDiskdrives(DiskDrive[] x)`
`void` | `setMemory(Memory[] x)`

Methods inherited from interface com.collation.platform.model.topology.phys.physpkg.Card
`getCardConfigurationState, hasCardConfigurationState, setCardConfigurationState`

Methods inherited from interface com.collation.platform.model.topology.phys.physpkg.PhysicalFrame
`getPhysicalPackage, hasPhysicalPackage, setPhysicalPackage`

Methods inherited from interface com.collation.platform.model.topology.phys.physpkg.PhysicalPackage
`getComputersystem, getFans, getFWRevision, getHWRevision, getManufacturer, getModel, getName, getOtherPhysicalPackages, getParent, getPhysicalComponents, getPhysicalConnectors, getPhysicalFrames, getPhysicalLinks, getPowerSupplys, getRelativePosition, getSensors, getSerialNumber, getSWRevision, getSystemBoardUUID, getType, getUserTracking, hasComputersystem, hasFans, hasFWRevision, hasHWRevision, hasManufacturer, hasModel, hasName, hasOtherPhysicalPackages, hasParent, hasPhysicalComponents, hasPhysicalConnectors, hasPhysicalFrames, hasPhysicalLinks, hasPowerSupplys, hasRelativePosition, hasSensors, hasSerialNumber, hasSWRevision, hasSystemBoardUUID, hasType, hasUserTracking, setComputersystem, setFans, setFWRevision, setHWRevision, setManufacturer, setModel, setName, setOtherPhysicalPackages, setParent, setPhysicalComponents, setPhysicalConnectors, setPhysicalFrames, setPhysicalLinks, setPowerSupplys, setRelativePosition, setSensors, setSerialNumber, setSWRevision, setSystemBoardUUID, setType, setUserTracking`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDiskdrives

    DiskDrive[] getDiskdrives()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PhysicallyContains" reverse="false"

### setDiskdrives

    void setDiskdrives(DiskDrive[] x)

### hasDiskdrives

    boolean hasDiskdrives()

### getAttachementPointType

    java.lang.String getAttachementPointType()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAttachementPointType

    void setAttachementPointType(java.lang.String x)

### hasAttachementPointType

    boolean hasAttachementPointType()

### getMemory

    Memory[] getMemory()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PhysicallyContains" reverse="false"

### setMemory

    void setMemory(Memory[] x)

### hasMemory

    boolean hasMemory()

### getCpu

    CPU[] getCpu()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PhysicallyContains" reverse="false"

### setCpu

    void setCpu(CPU[] x)

### hasCpu

    boolean hasCpu()

### getBoardType

    int getBoardType()
                     throws AttributeNotSetException

  The represenataion of the BoardType. On Sunfire systems, the System Management Service command used to get this information is "rcfgadm -d domain" where domain is the domain identifier of the domain to which the attachment point belongs

  Throws:
    `AttributeNotSetException`

### setBoardType

    void setBoardType(int x)

### hasBoardType

    boolean hasBoardType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD